use std::time::Duration;

fn main() {
    let ports = serialport::available_ports().unwrap();
    println!("Available ports:");
    for p in ports {
        println!("{}", p.port_name);
    }
    let mut port = serialport::new("/dev/ttyACM0", 115_200)
        .timeout(Duration::from_millis(1000))
        .open().expect("Failed to open port");
    loop {
        let mut angle = String::new();
        std::io::stdin().read_line(&mut angle).unwrap();
        angle
            .trim()
            .parse()
            .map(|angle| port.write(&[angle]).unwrap())
            .unwrap();
    }
}
